//Akumacpm1a shaders

//2thecore modifed lights

textures/akumacpm1a/tec_light_01_1k
{
	qer_editorimage textures/akumacpm1a/tec_light_01_aix2.TGA
	q3map_lightimage textures/akumacpm1a/tec_light_01_a_blend.TGA
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_01_aix2.TGA
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_01_a_blend.TGA
		blendfunc GL_ONE GL_ONE
	}
}

textures/akumacpm1a/tec_light_01_2k
{
	qer_editorimage textures/akumacpm1a/tec_light_01_aix2.TGA
	q3map_lightimage textures/akumacpm1a/tec_light_01_a_blend.TGA
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_01_aix2.TGA
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_01_a_blend.TGA
		blendfunc GL_ONE GL_ONE
	}
}

textures/akumacpm1a/tec_light_02_1k
{
	qer_editorimage textures/akumacpm1a/tec_light_02_aix.TGA
	q3map_lightimage textures/akumacpm1a/tec_light_02_a_blend.TGA
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_02_aix.TGA
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_02_a_blend.TGA
		blendfunc GL_ONE GL_ONE
	}
	}

textures/akumacpm1a/tec_light_02_2k
{
	qer_editorimage textures/akumacpm1a/tec_light_02_aix.TGA
	q3map_lightimage textures/akumacpm1a/tec_light_02_a_blend.TGA
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_02_aix.TGA
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/akumacpm1a/tec_light_02_a_blend.TGA
		blendfunc GL_ONE GL_ONE
	}
}

//Bloody Marvelous sky shader

textures/akumacpm1a/skybox/bloody_skybox
{
	qer_editorimage textures/akumacpm1a/akumacpm1askybox/bloody_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 8
	q3map_globaltexture
	q3map_surfacelight 1000
	surfaceparm sky
	q3map_sun 1 0.6 0.2 100 295 75
	skyparms env/akumacpm1askybox/bloody-marvelous512 - -
}

//Neon light

textures/akumacpm1a/neonlight
{
	qer_editorimage textures/akumacpm1a/neonlight.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/akumacpm1a/neonlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/akumacpm1a/neonlight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//e8 Blue light

textures/akumacpm1a/bluelight10k
{
	qer_editorimage textures/akumacpm1a/e8_rlightb2.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/akumacpm1a/cretebase3_blue.tga
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/akumacpm1a/e8_rlightb2.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/akumacpm1a/e8_rlightb2.blend.jpg
		blendfunc add
	}
}

//e8 clangfloor by evillair

textures/akumacpm1a/e8clangfloor
{
	qer_editorimage textures/akumacpm1a/e8clangfloor.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/akumacpm1a/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
	}
}

//Weapon, armour, health and tele decals by Julek

textures/akumacpm1a/decal_armor
{
	qer_editorimage textures/akumacpm1a/decal_armor.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	qer_trans 0.5
	q3map_notjunc
	q3map_shadeAngle 179
   	q3map_nonplanar
	{
		map textures/akumacpm1a/decal_armor.tga
		blendfunc gl_zero gl_src_color
		rgbGen identity
	}
}

textures/akumacpm1a/decal_health
{
	qer_editorimage textures/akumacpm1a/decal_health.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	qer_trans 0.5
	q3map_notjunc
	q3map_shadeAngle 179
   	q3map_nonplanar
	{
		map textures/akumacpm1a/decal_health.tga
		blendfunc gl_zero gl_src_color
		rgbGen identity
	}
}

textures/akumacpm1a/decal_napis
{
	qer_editorimage textures/akumacpm1a/decal_napis.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	q3map_notjunc
	q3map_shadeAngle 179
   	q3map_nonplanar
	{
		map textures/akumacpm1a/decal_napis.tga
		blendfunc gl_one gl_zero
		rgbGen identity
	}
}

textures/akumacpm1a/decal_weapon
{
	qer_editorimage textures/akumacpm1a/decal_weapon.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	qer_trans 0.5
	q3map_notjunc
	q3map_shadeAngle 179
   	q3map_nonplanar
	{
		map textures/akumacpm1a/decal_weapon.tga
		blendfunc gl_zero gl_src_color
		rgbGen identity
	}
}

//Lunaran tele shader

textures/akumacpm1a/telly
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	tesssize 32
	qer_editorimage textures/akumacpm1a/tellyfx1.tga
	q3map_globaltexture
	{
		map textures/akumacpm1a/tellyfx1.tga
		tcMod scroll 0 .4
		tcMod turb 0 0.1 0.3 0.12
	}
	{
		map textures/akumacpm1a/tellyfx2.tga
		tcMod scroll 0 -.4
		tcMod turb 0 0.1 0.3 0.12
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/akumacpm1a/tellyred
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightsubdivide 32
	tesssize 32
	qer_editorimage textures/akumacpm1a/tellyfx1red.tga
	q3map_globaltexture
	{
		map textures/akumacpm1a/tellyfx1red.tga
		tcMod scroll 0 .4
		tcMod turb 0 0.1 0.3 0.12
	}
	{
		map textures/akumacpm1a/tellyfx2red.tga
		tcMod scroll 0 -.4
		tcMod turb 0 0.1 0.3 0.12
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/akumacpm1a/ixlava_2500
{
	qer_editorimage textures/akumacpm1a/lava01.jpg
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 2500
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/akumacpm1a/lava01.jpg
		tcMod turb 0 .2 0 .1
	}
}

//Bouncepad
textures/akumacpm1a/u_floor3_pad_8
{
	qer_editorimage textures/akumacpm1a/u_floor3_pad_8.tga
	q3map_lightimage textures/akumacpm1a/u_floor_pan4_l_blend.tga
	surfaceparm nodamage
	q3map_surfacelight 150
	{
		map textures/akumacpm1a/u_floor3_pad_8.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/akumacpm1a/u_floor_pan4_l_blend.tga
		blendfunc add
		rgbGen wave sin 0.8 0.1 0 2 
		tcMod stretch sawtooth 0.83 0.1 1 0 
		tcMod scale 2 2
	}
	{
		map textures/akumacpm1a/u_floor_pan4_l_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.4 0.1 0 1 
		tcMod stretch sawtooth 1.7 1 1 1 
		tcMod rotate 90
	}
}
	